Skip to main content
POST
Create a verification

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fields[verifications]
enum<string>[]
Available options:
status,
send_individual_authentication_sms,
send_individual_authentication_email,
attribution_id,
individual_authentication_url,
failure_reason,
check_results,
created_at,
updated_at

Body

application/json
business_name
string | null

Business name. When present, business_abn is required and business checks are run.

Maximum string length: 255
business_abn
string | null

Australian Business Number (ABN). Must be 11 digits. Required when business_name is present.

account_name
string | null

Bank account name. When present, account_bsb and account_number are required (all-or-none).

Maximum string length: 255
account_bsb
string | null

Bank State Branch (BSB) code. Must be 6 digits. Required when account_name is present.

Pattern: ^[0-9]{6}$
account_number
string | null

Bank account number. Must be 6-10 digits. Required when account_name is present.

Pattern: ^[0-9]{6,10}$
individual_name
string | null

Individual's full legal name. When present, verify_identity is required and individual checks are run. Must include a space between first name(s) and last name (e.g., "John Michael Doe").

Maximum string length: 255
Pattern: ^[^\s]+\s+[^\s]+
individual_mobile
string | null

Individual's Australian mobile number. Required when send_individual_authentication_sms is true.

The mobile number is also used for the individual's identity fingerprint. When successive verifications are requested via a common attribution_id, the mobile number is used to identify the individual across verifications.

Pattern: ^(?:\+?61\s?|0)?4(\d{2})\s?(\d{3})\s?(\d{3})$
individual_email
string<email> | null

Individual's email address.

verify_identity
boolean

Whether to verify the individual's identity. - true: Verify the individual's identity via KYC.

  • false: Sanctions screening only (no identity verification).

Required when individual_name is present. Must be omitted when individual_name is omitted.

send_individual_authentication_sms
boolean

Whether to send the identity authentication link to the individual via SMS. KYC verifications require at least one authentication link delivery channel. Must be omitted when verify_identity is false or when individual_name is omitted.

send_individual_authentication_email
boolean

Whether to send the identity authentication link to the individual via email. KYC verifications require at least one authentication link delivery channel. Must be omitted when verify_identity is false or when individual_name is omitted.

attribution_id
string | null

Attribution identifier for grouping related verifications.

Maximum string length: 255

Response

VerificationResource

data
VerificationResource · object
required